package lsedit;

import java.awt.Color;
import java.awt.Font;

import javax.swing.JScrollPane;
import javax.swing.JTextArea;

public class TextBox extends JTextArea
{
	protected static final Color titleColor = Color.red.darker();

	protected static Font m_titleFont = Util.getCachedFont("Helvetica", Font.BOLD, 14);
	protected static Font m_textFont  = Util.getCachedFont("Helvetica", Font.PLAIN, 11); 

	protected LandscapeEditorCore m_ls;
	protected JScrollPane		  m_scroller;	// null if not under any JScrollPane
	protected String			  m_helpString;

	// --------------
	// Public methods 
	// --------------

	public TextBox(LandscapeEditorCore ls, JScrollPane scroller, String helpString) 
	{
		m_ls          = ls;
		m_scroller    = scroller;

		scroller.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED); 
		scroller.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED); 

		m_helpString  = helpString;
		setToolTipText(helpString);

		setBackground(Diagram.boxColour);
		setFont(m_textFont);
		setEditable(false);
//		setSize(5, 5);
		setLineWrap(true);


		if (scroller != null) {
			scroller.setViewportView(this);
	}	}

	public static Font getTitleFont()
	{
		return m_titleFont;
	}

	public static void setTitleFont(Font font)
	{
		m_titleFont = font;
	}

	public static Font getTextFont()
	{
		return m_textFont;
	}

	public void setTextFont(Font font)
	{
		m_textFont = font;
		setFont(font);
	}

	public void set(String text) 
	{
		setText(text); 
		repaint();
	}
}





